# ======================================================================
#  $Id: GNUmakefile,v 1.3 2003/10/06 16:28:17 goiwai Exp $
#  $Name: CLDAQ-1-11-00 $
#  $Log: GNUmakefile,v $
#  Revision 1.3  2003/10/06 16:28:17  goiwai
#  *** empty log message ***
#
#  Revision 1.2  2003/07/30 16:15:51  goiwai
#  ファイルにコミットログをつけることにしました.
#
# ======================================================================
# DAQ本体
name := st00
# エフェクティブ276x264な領域だけを表示
# データに対しての操作なし
name += st00pureeventview
# ログスケールにしたもの
# H.O.Cを引いたもの
name += st00minushocview
# 各ピクセルのダークカレントのRMSを表示
name += st00darkrmsview
# pureeventviewのオフライン版
name += OFFpure
# minushocviewのオフライン版
name += OFFminushoc
# シングルピクセルを探し求める
name += OFFsp
name += OFFmanualcutsp
name += OFFmanualcutsp-5divide
name += OFFmanualcutsp-5divide-highrad
# 終ったら終了する
name += OFFspexit
# DARK VS TEMP
name += OFFdarkvstemp
name += OFFdarkaverage

ifndef CLDAQ_INSTALL
  CLDAQ_INSTALL = ../..
endif

CLDAQ_LIB_NAME = st00

.PHONY: all

all: lib bin

include $(CLDAQ_INSTALL)/config/binmake.gmk

LDLIBS += $(shell root-config --libs)
CPPFLAGS += $(shell root-config --cflags)
